package com.hotent.portal.model.dto;

import com.hotent.base.entity.URIEntity;

import java.io.Serializable;
import java.util.List;

/**
 * @Author: Cola
 * @Date: 2021/08/26/16:56
 * @Description:
 **/
public class PortalUrlPermissionDto implements Serializable {

    private String id;

    private String sysId;

    private String module;

    private String function;
    private String description;

    private String authUrl;

    // 外部接口名单
    private List<URIEntity> uriList;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSysId() {
        return sysId;
    }

    public void setSysId(String sysId) {
        this.sysId = sysId;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public String getFunction() {
        return function;
    }

    public void setFunction(String function) {
        this.function = function;
    }

    public String getAuthUrl() {
        return authUrl;
    }

    public void setAuthUrl(String authUrl) {
        this.authUrl = authUrl;
    }

    public List<URIEntity> getUriList() {
        return uriList;
    }

    public void setUriList(List<URIEntity> uriList) {
        this.uriList = uriList;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    @Override
    public String toString() {
        return "PortalUrlPermissionDto{" +
                "id='" + id + '\'' +
                ", sysId='" + sysId + '\'' +
                ", module='" + module + '\'' +
                ", function='" + function + '\'' +
                ", description='" + description + '\'' +
                ", authUrl='" + authUrl + '\'' +
                ", uriList=" + uriList +
                '}';
    }
}
